﻿Type=Service
Version=4
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region Module Attributes
	#StartAtBoot: False
#End Region
#StartCommandReturnValue: android.app.Service.START_STICKY

'Service module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim sNotif As Notification
	 Dim PhoneWakeState1 As PhoneWakeState
	 Dim Broadcast As BroadCastReceiver
	 Dim KeyRepeat_old As Long
	 Dim KeyDownTime_old As Long
	 Dim CalcEventTime As Long
	 Dim KeyAction_new As Boolean
	 Dim KeyLongPress As Boolean
	
End Sub
Sub Service_Create
	Log("Created service")
	sNotif.Initialize
 sNotif.Icon = "" ' empty string will cancel notification ...
 sNotif.OnGoingEvent = True
 sNotif.SetInfo("Info", "Prevent from being killed",Main)
 'Notification2.SetInfo ("Notification", "Service in Foreground", Main)
 sNotif.Sound = False
 sNotif.Vibrate = False
 sNotif.Notify(1)
 Service.StartForeground(1,sNotif) 'Prevent from being killed
 Broadcast.Initialize("BroadcastReceiver")
 Broadcast.addAction("android.intent.action.MEDIA_BUTTON")
 Broadcast.SetPriority(2147483647)
 Broadcast.registerReceiver("")
	
	
End Sub

Sub Service_Start (StartingIntent As Intent)
	Log("Service is started")
	
End Sub

Sub Service_Destroy

End Sub


Sub BroadcastReceiver_OnReceive (Action As String, Obj1 As Object, Obj2 As Object, Obj3 As Object, Obj4 As Object, Obj5 As Object)
	Log("RECEIVED BUTTON PRESS")
 Dim KeyAction As Object
 Dim KeyCode As Object
 Dim KeyRepeat As Object
 Dim KeyDownTime As Object
 Dim KeyEventTime As Object
 If Action = "android.intent.action.MEDIA_BUTTON" Then
 KeyAction = Obj1
 KeyCode = Obj2
 KeyRepeat = Obj3
 KeyDownTime = Obj4
 KeyEventTime = Obj5
 If KeyAction = 0 Then
 If KeyAction_new = True Then ' First?
 KeyAction_new = False 
 CalcEventTime = 0
 KeyRepeat_old = 0
 KeyDownTime_old = KeyDownTime
' ToastMessageShow("Action: " & Action & Chr(10) & _
' "KeyAction: " & KeyAction & Chr(10) & _
' "KeyCode: " & KeyCode & Chr(10) & _
' "KeyRepeat: " & KeyRepeat & Chr(10) & _
' "EventTime: " & CalcEventTime & Chr(10) & _
' "KeyLongPress: " & KeyLongPress, False) 
 End If
 Else
 KeyAction_new = True
 KeyRepeat_old = 0
 KeyDownTime_old = KeyDownTime
 ToastMessageShow("Action: " & Action & Chr(10) & _
 "KeyAction: " & KeyAction & Chr(10) & _
 "KeyCode: " & KeyCode & Chr(10) & _
 "EventTime: " & CalcEventTime & Chr(10) & _
 "KeyLongPress: " & KeyLongPress, False) 
 End If
 CalcEventTime = KeyEventTime - KeyDownTime_old
 If KeyRepeat_old <> KeyRepeat Then
 KeyRepeat_old = KeyRepeat
 KeyDownTime_old = KeyDownTime
 KeyLongPress = True
 End If
 Log("Action: " & Action & Chr(10) & _
 "KeyAction: " & KeyAction & Chr(10) & _
 "KeyCode: " & KeyCode & Chr(10) & _
 "KeyRepeat: " & KeyRepeat & Chr(10) & _
 "EventTime: " & CalcEventTime & Chr(10) & _
 "KeyLongPress: " & KeyLongPress) 
 If KeyRepeat = 0 Then
 KeyLongPress = False
 End If
 Else
 Log(KeyAction & Obj1)
 End If
		
End Sub


